Public Attributes | List of all members
ble_l2cap_evt_enh_conn_req_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

L2cap Enhanced Connect Request event for BLE_L2CAP_EVT_ENH_CONN_REQ. More...

`#include <ble_l2cap.h>`

## Public Attributes
uint16_t | le_psm
| Le_psm number, it should be registered by local device. More...
uint16_t | peer_mtu
| It indicates the maximum SDU size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request can receive on these channels. More...
uint16_t | peer_mps
| It indicates the maximum payload size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request is capable of receiving on these channels. More...
uint16_t | chl_num
| It indicates the number of channel created. More...
uint16_t | peer_cid [5]
| It represents the channel endpoints on the device sending the request and receiving the response. More...

## Detailed Description

L2cap Enhanced Connect Request event for BLE_L2CAP_EVT_ENH_CONN_REQ.

Definition at line 240 of file ble_l2cap.h.

## Member Data Documentation

## ◆ chl_num

uint16_t ble_l2cap_evt_enh_conn_req_t::chl_num

It indicates the number of channel created.

Definition at line 244 of file ble_l2cap.h.

## ◆ le_psm

uint16_t ble_l2cap_evt_enh_conn_req_t::le_psm

Le_psm number, it should be registered by local device.

Definition at line 241 of file ble_l2cap.h.

## ◆ peer_cid

uint16_t ble_l2cap_evt_enh_conn_req_t::peer_cid[5]

It represents the channel endpoints on the device sending the request and receiving the response.

Definition at line 245 of file ble_l2cap.h.

## ◆ peer_mps

uint16_t ble_l2cap_evt_enh_conn_req_t::peer_mps

It indicates the maximum payload size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request is capable of receiving on these channels.

Definition at line 243 of file ble_l2cap.h.

## ◆ peer_mtu

uint16_t ble_l2cap_evt_enh_conn_req_t::peer_mtu

It indicates the maximum SDU size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request can receive on these channels.

Definition at line 242 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h